Package org.apache.solr.common.params

# Interface MoreLikeThisParams

public interface MoreLikeThisParams
Params for `MoreLikeThisHandler`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`MoreLikeThisParams.TermStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOOST`
`static final int`
`DEFAULT_DOC_COUNT`
`static final String`
`DOC_COUNT`
`static final String`
`INTERESTING_TERMS`
`static final String`
`MATCH_INCLUDE`
`static final String`
`MATCH_OFFSET`
`static final String`
`MAX_DOC_FREQ`
`static final String`
`MAX_DOC_FREQ_PCT`
`static final String`
`MAX_NUM_TOKENS_PARSED`
`static final String`
`MAX_QUERY_TERMS`
`static final String`
`MAX_WORD_LEN`
`static final String`
`MIN_DOC_FREQ`
`static final String`
`MIN_TERM_FREQ`
`static final String`
`MIN_WORD_LEN`
`static final String`
`MLT`
`static final String`
`PREFIX`
`static final String`
`QF`
`static final String`
`SIMILARITY_FIELDS`

## Field Details

### MLT

static final String MLT

See Also:
  - Constant Field Values

### PREFIX

static final String PREFIX

See Also:
  - Constant Field Values

### SIMILARITY_FIELDS

static final String SIMILARITY_FIELDS

See Also:
  - Constant Field Values

### MIN_TERM_FREQ

static final String MIN_TERM_FREQ

See Also:
  - Constant Field Values

### MAX_DOC_FREQ

static final String MAX_DOC_FREQ

See Also:
  - Constant Field Values

### MAX_DOC_FREQ_PCT

static final String MAX_DOC_FREQ_PCT

See Also:
  - Constant Field Values

### MIN_DOC_FREQ

static final String MIN_DOC_FREQ

See Also:
  - Constant Field Values

### MIN_WORD_LEN

static final String MIN_WORD_LEN

See Also:
  - Constant Field Values

### MAX_WORD_LEN

static final String MAX_WORD_LEN

See Also:
  - Constant Field Values

### MAX_QUERY_TERMS

static final String MAX_QUERY_TERMS

See Also:
  - Constant Field Values

### MAX_NUM_TOKENS_PARSED

static final String MAX_NUM_TOKENS_PARSED

See Also:
  - Constant Field Values

### BOOST

static final String BOOST

See Also:
  - Constant Field Values

### QF

static final String QF

See Also:
  - Constant Field Values

### DOC_COUNT

static final String DOC_COUNT

See Also:
  - Constant Field Values

### MATCH_INCLUDE

static final String MATCH_INCLUDE

See Also:
  - Constant Field Values

### MATCH_OFFSET

static final String MATCH_OFFSET

See Also:
  - Constant Field Values

### INTERESTING_TERMS

static final String INTERESTING_TERMS

See Also:
  - Constant Field Values

### DEFAULT_DOC_COUNT

static final int DEFAULT_DOC_COUNT

See Also:
  - Constant Field Values